Bug 676748 - RFE: add python 3 and debug subpackages
Summary: RFE: add python 3 and debug subpackages
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-psycopg2
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Devrim Gündüz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-11 01:39 UTC by Dave Malcolm
Modified: 2011-03-24 19:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-24 19:40:18 UTC
Type: ---


Attachments (Terms of Use)
Patch against "master" to add various subpackages to the build (5.43 KB, patch)
2011-02-11 01:40 UTC, Dave Malcolm
no flags Details | Diff

Description Dave Malcolm 2011-02-11 01:39:45 UTC
Description of problem:
As of 2011-02-06, Psycopg 2.4 beta1 has initial support for Python 3:
  http://initd.org/psycopg/articles/2011/02/06/psycopg-24-beta1-released/

The same tarball supports both Python 2 and Python 3, so I had a go at patching the Fedora specfile to add a python3-psycopg2 subpackage.

While I was at it, I added builds of the bindings against the python-debug and python3-debug packages.  These share .py/.pyc/.pyo files with the regular runtimes, but use different .so files (the debug instrumentation changes the ABI).  See:
  https://fedoraproject.org/wiki/Features/DebugPythonStacks

How does this look?  (It builds on my rawhide box, but I've only tested the results so far by verifying that I can import psycopg2 and run "help(psycopg2._psycopg)", and verified that the correct DSO is loaded).

One wart here is that the name for the python3 debug binary in rawhide is currently:
  /usr/bin/python3.2dmu

(I intend to add a symlink to there from /usr/bin/python3-debug in future versions of the python3-debug rpm)

Comment 1 Dave Malcolm 2011-02-11 01:40:57 UTC
Created attachment 478165 [details]
Patch against "master" to add various subpackages to the build

Comment 2 Devrim Gündüz 2011-02-17 21:30:58 UTC
Pushed 2.4.0-beta2 to rawhide.

Comment 3 Dave Malcolm 2011-03-24 19:40:18 UTC
Thanks; this seems to have been done in:
  http://pkgs.fedoraproject.org/gitweb/?p=python-psycopg2.git;a=commitdiff;h=abbed67c521abc295e3fc2b905b183b97f9df0b9

which was built in Koji here:
  http://koji.fedoraproject.org/koji/buildinfo?buildID=229299

Closing this bug.


Note You need to log in before you can comment on or make changes to this bug.